Subject: Re: [bitcoin-dev] ZeroSync: Introducing Validity Proofs to Bitcoin

From: blk0 <[email-masked]>
Date: Mon, 28 Aug 2023 07:49:02 +0000

Peter Todd wrote:

>Two serious issues with this proposal:

>1) You're creating an alternative implementation of the Bitcoin protocol. There
>is a _long_ history of such implementations failing to implement an exact copy
>of the consensus rules, leading to potential forks. Obviously, if only used by
>otherwise lite clients, there is less of a risk associated with this. But the
>risk is there and will expand as this tech is used for more sophisticated
>things.

There is a general purpose zkVM implementation for the RISC-V instruction set:

https://www.risczero.com/

Since Bitcoin Core can be compiled for RISC-V, and RiscZero can prove
execution traces of a RISC-V VM, this argument no longer applies: the exact
consensus rules would be applied and verified.

@blk014